kind: Pod
apiVersion: v1
metadata:
  generateName: win-webserver-7df998c7b6-
  resourceVersion: '66041'
  name: win-webserver-7df998c7b6-4cszc
  uid: c270ec2a-8c7a-4ca3-98aa-4f1362844034
  creationTimestamp: '2025-08-19T16:01:03Z'
  managedFields:
    - manager: kube-controller-manager
      operation: Update
      apiVersion: v1
      time: '2025-08-19T16:01:03Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:generateName': {}
          'f:labels':
            .: {}
            'f:app': {}
            'f:pod-template-hash': {}
          'f:ownerReferences':
            .: {}
            'k:{"uid":"88cd1796-351a-4f9f-bce1-49320563f110"}': {}
        'f:spec':
          'f:containers':
            'k:{"name":"win-webserver"}':
              'f:image': {}
              'f:terminationMessagePolicy': {}
              .: {}
              'f:resources':
                .: {}
                'f:limits':
                  .: {}
                  'f:cpu': {}
                  'f:memory': {}
                'f:requests':
                  .: {}
                  'f:cpu': {}
                  'f:memory': {}
              'f:command': {}
              'f:securityContext':
                .: {}
                'f:runAsNonRoot': {}
                'f:windowsOptions':
                  .: {}
                  'f:runAsUserName': {}
              'f:terminationMessagePath': {}
              'f:imagePullPolicy': {}
              'f:name': {}
          'f:dnsPolicy': {}
          'f:tolerations': {}
          'f:restartPolicy': {}
          'f:schedulerName': {}
          'f:nodeSelector': {}
          'f:terminationGracePeriodSeconds': {}
          'f:os':
            .: {}
            'f:name': {}
          'f:enableServiceLinks': {}
          'f:securityContext': {}
    - manager: kubelet.exe
      operation: Update
      apiVersion: v1
      time: '2025-08-19T16:01:56Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:conditions':
            'k:{"type":"ContainersReady"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Initialized"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"PodReadyToStartContainers"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Ready"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
          'f:containerStatuses': {}
          'f:hostIP': {}
          'f:hostIPs': {}
          'f:podIP': {}
          'f:podIPs':
            .: {}
            'k:{"ip":"10.132.0.3"}':
              .: {}
              'f:ip': {}
          'f:startTime': {}
      subresource: status
  namespace: win-webserver
  ownerReferences:
    - apiVersion: apps/v1
      kind: ReplicaSet
      name: win-webserver-7df998c7b6
      uid: 88cd1796-351a-4f9f-bce1-49320563f110
      controller: true
      blockOwnerDeletion: true
  labels:
    app: win-webserver
    pod-template-hash: 7df998c7b6
spec:
  nodeSelector:
    kubernetes.io/os: windows
  restartPolicy: Always
  serviceAccountName: default
  imagePullSecrets:
    - name: default-dockercfg-czdjr
  priority: 0
  os:
    name: windows
  schedulerName: default-scheduler
  enableServiceLinks: true
  terminationGracePeriodSeconds: 30
  preemptionPolicy: PreemptLowerPriority
  nodeName: ci-ln-cgnxcq2-72292-k47l8-winworker-a-4gts9
  securityContext: {}
  containers:
    - resources:
        limits:
          cpu: '1'
          memory: 512Mi
        requests:
          cpu: 500m
          memory: 512Mi
      terminationMessagePath: /dev/termination-log
      name: win-webserver
      command:
        - pwsh.exe
        - '-command'
        - '$listener = New-Object System.Net.HttpListener; $listener.Prefixes.Add(''http://*:80/''); $listener.Start();Write-Host(''Listening at http://*:80/''); while ($listener.IsListening) { $context = $listener.GetContext(); $response = $context.Response; $content=''<html><body><H1>Red Hat OpenShift </br> Windows Container workload is online</H1></body></html>''; $buffer = [System.Text.Encoding]::UTF8.GetBytes($content); $response.ContentLength64 = $buffer.Length; $response.OutputStream.Write($buffer, 0, $buffer.Length); $response.Close(); };'
      securityContext:
        windowsOptions:
          runAsUserName: ContainerAdministrator
        runAsNonRoot: true
      imagePullPolicy: IfNotPresent
      volumeMounts:
        - name: kube-api-access-6v8qp
          readOnly: true
          mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      terminationMessagePolicy: File
      image: 'mcr.microsoft.com/powershell:lts-nanoserver-ltsc2022'
  serviceAccount: default
  volumes:
    - name: kube-api-access-6v8qp
      projected:
        sources:
          - serviceAccountToken:
              expirationSeconds: 3607
              path: token
          - configMap:
              name: kube-root-ca.crt
              items:
                - key: ca.crt
                  path: ca.crt
          - downwardAPI:
              items:
                - path: namespace
                  fieldRef:
                    apiVersion: v1
                    fieldPath: metadata.namespace
          - configMap:
              name: openshift-service-ca.crt
              items:
                - key: service-ca.crt
                  path: service-ca.crt
        defaultMode: 420
  dnsPolicy: ClusterFirst
  tolerations:
    - key: os
      value: Windows
    - key: node.kubernetes.io/not-ready
      operator: Exists
      effect: NoExecute
      tolerationSeconds: 300
    - key: node.kubernetes.io/unreachable
      operator: Exists
      effect: NoExecute
      tolerationSeconds: 300
    - key: node.kubernetes.io/memory-pressure
      operator: Exists
      effect: NoSchedule
status:
  containerStatuses:
    - restartCount: 0
      started: false
      ready: false
      name: win-webserver
      state:
        waiting:
          reason: CreateContainerConfigError
          message: 'container''s runAsUserName (ContainerAdministrator) which will be regarded as root identity and will break non-root policy (pod: "win-webserver-7df998c7b6-4cszc_win-webserver(c270ec2a-8c7a-4ca3-98aa-4f1362844034)", container: win-webserver)'
      volumeMounts:
        - name: kube-api-access-6v8qp
          mountPath: /var/run/secrets/kubernetes.io/serviceaccount
          readOnly: true
          recursiveReadOnly: Disabled
      imageID: ''
      image: 'mcr.microsoft.com/powershell:lts-nanoserver-ltsc2022'
      lastState: {}
  qosClass: Burstable
  hostIPs:
    - ip: 10.0.128.5
  podIPs:
    - ip: 10.132.0.3
  podIP: 10.132.0.3
  hostIP: 10.0.128.5
  startTime: '2025-08-19T16:01:03Z'
  conditions:
    - type: PodReadyToStartContainers
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2025-08-19T16:01:56Z'
    - type: Initialized
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2025-08-19T16:01:03Z'
    - type: Ready
      status: 'False'
      lastProbeTime: null
      lastTransitionTime: '2025-08-19T16:01:03Z'
      reason: ContainersNotReady
      message: 'containers with unready status: [win-webserver]'
    - type: ContainersReady
      status: 'False'
      lastProbeTime: null
      lastTransitionTime: '2025-08-19T16:01:03Z'
      reason: ContainersNotReady
      message: 'containers with unready status: [win-webserver]'
    - type: PodScheduled
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2025-08-19T16:01:03Z'
  phase: Pending
